CTAN Comprehensive TeX Archive Network

CTAN update: linebreaker

Date: March 13, 2022 8:30:51 PM CET
Michal Hoftich submitted an update to the linebreaker package. Version: 0.1a 2022-03-12 License: lppl1.3 Summary description: Prevent overflow boxes with LuaLaTeX Announcement text:
This is a bug fix release. The function that calculates the width of the last line in paragraphs could sometimes fail, causing a fatal error in the document compilation. This should be fixed now.
The package’s Catalogue entry can be viewed at https://ctan.org/pkg/linebreaker The package’s files themselves can be inspected at https://mirrors.ctan.org/macros/luatex/latex/linebreaker/
Thanks for the upload. For the CTAN Team Petra Rübe-Pugliese
CTAN is run entirely by volunteers and supported by TeX user groups. Please join a user group or donate to one, see https://ctan.org/lugs

linebreaker – Prevent overflow boxes with Lua

This package tries to prevent overflow lines in paragraphs or boxes. It changes Lua’s \linebreak callback and re-typesets the paragraph with increased values of \tolerance and \emergencystretch until the overflow no longer happens. If that doesn’t help, it chooses the solution with the lowest badness.

Packagelinebreaker
Version0.1a 2022-03-12
MaintainerMichal Hoftich

Announcements

more

Guest Book Sitemap Contact Contact Author